return {

    { -- treesitter
        "https://github.com/nvim-treesitter/nvim-treesitter",
        build = ":TSUpdate",
        event = "BufReadPre",
        opts = {
            highlight = { enable = true, },
            indent = { enable = true },
            ensure_installed = {
                "asm",
                "bash",
                "bibtex",
                "c",
                "cmake",
                "commonlisp",
                "cpp",
                "css", "scss",
                "csv",
                "cuda",
                "d",
                "devicetree",
                "diff",
                "dockerfile",
                "erlang",
                "elixir",
                "heex",
                "fennel",
                "fortran",
                "git_config", "git_rebase", "gitattributes", "gitcommit", "gitignore",
                "haskell",
                "html",
                "http",
                "javascript",
                "json", "json5",
                "julia",
                "latex",
                "llvm",
                "lua", "luadoc",
                "markdown", "markdown_inline",
                "norg",
                "objdump",
                "passwd",
                "python",
                "regex",
                "rst",
                "rust",
                "sql",
                "ssh_config",
                "systemverilog",
                "tcl",
                "toml",
                "typst",
                "verilog",
                "vhdl",
                "vim",
                "vimdoc",
                "xml",
                "yaml",
            },
            incremental_selection = {
                enable = true,
                keymaps = {
                    init_selection = "<C-space>",
                    node_incremental = "<C-space>",
                    scope_incremental = false,
                    node_decremental = "<bs>",
                },
            },
        },
        config = function (_, opts)
            require("nvim-treesitter.configs").setup(opts)
        end
    },
}
